# PgpSignatoryProvider

open class PgpSignatoryProvider : BasePgpSignatoryProvider, ConfigurableSignatoryProvider<T>

A SignatoryProvider of PgpSignatory instances.

## Constructors

PgpSignatoryProvider
Link copied to clipboard
constructor()

## Functions

configure
Link copied to clipboard
open fun configure(settings: SigningExtension, closure: Closure)
createSignatory
Link copied to clipboard
open fun createSignatory(name: String, keyId: String, keyRing: File, password: String): PgpSignatory
createSignatoryFor
Link copied to clipboard
open fun createSignatoryFor(project: Project, name: String, args: Array<Any>)
getDefaultSignatory
Link copied to clipboard
abstract fun getDefaultSignatory(project: Project): T
open fun getDefaultSignatory(project: Project): PgpSignatory
getSignatory
Link copied to clipboard
abstract fun getSignatory(name: String): T
open fun getSignatory(name: String): PgpSignatory
propertyMissing
Link copied to clipboard
open fun propertyMissing(signatoryName: String): PgpSignatory